Bug 1921484 - Regression OLM uses scoped client for CRD installation
Summary: Regression OLM uses scoped client for CRD installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Daniel Sover
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1917498
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 03:59 UTC by OpenShift BugZilla Robot
Modified: 2021-03-03 04:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-03 04:40:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1985 0 None closed [release-4.5] Bug 1921484: use OLM client when installing CRDs 2021-02-16 15:42:54 UTC
Red Hat Product Errata RHSA-2021:0428 0 None None None 2021-03-03 04:40:55 UTC

Comment 3 Bruno Andrade 2021-02-11 18:27:59 UTC
Executed https://polarion.engineering.redhat.com/polarion/#/project/OSE/workitem?id=OCP-24771 and looks good right now. Marking as VERIFIED.

OCP Version: 4.5.0-0.nightly-2021-02-11-132253
OLM Commit: 900a341adfe557b907e8e163ae66e88ad23db66c
OLM version: 0.15.1


/bin/extended-platform-tests run all --dry-run | grep "24771" | ./bin/extended-platform-tests run -f -                      
I0211 15:14:04.579277 1295024 test_context.go:419] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
I0211 15:14:05.374783 1295026 test_context.go:419] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
started: (0/1/1) "[sig-operators] OLM should Medium-24771-OLM should support for user defined ServiceAccount for OperatorGroup [Suite:openshift/conformance/parallel]"

I0211 15:14:09.336410 1295078 test_context.go:419] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
Feb 11 15:14:09.356: INFO: Waiting up to 30m0s for all (but 100) nodes to be schedulable
Feb 11 15:14:09.839: INFO: Waiting up to 10m0s for all pods (need at least 0) in namespace 'kube-system' to be running and ready
Feb 11 15:14:10.472: INFO: 0 / 0 pods in namespace 'kube-system' are running and ready (0 seconds elapsed)
Feb 11 15:14:10.472: INFO: expected 0 pod replicas in namespace 'kube-system', 0 are Running and Ready.
Feb 11 15:14:10.472: INFO: Waiting up to 5m0s for all daemonsets in namespace 'kube-system' to start
Feb 11 15:14:10.651: INFO: e2e test version: v0.0.0-master+$Format:%h$
Feb 11 15:14:10.807: INFO: kube-apiserver version: v1.18.3+c3b5327
Feb 11 15:14:10.969: INFO: Cluster IP family: ipv4
[BeforeEach] [Top Level]
  /home/bandrade/go/src/github.com/openshift/openshift-tests-private/test/extended/util/test.go:60
[BeforeEach] [sig-operators] OLM should
  /home/bandrade/go/pkg/mod/github.com/openshift/kubernetes@v1.17.0-alpha.0.0.20200120180958-5945c3b07163/test/e2e/framework/framework.go:154
STEP: Creating a kubernetes client
[BeforeEach] [sig-operators] OLM should
  /home/bandrade/go/src/github.com/openshift/openshift-tests-private/test/extended/util/client.go:111
Feb 11 15:14:12.318: INFO: configPath is now "/tmp/configfile600636167"
Feb 11 15:14:12.318: INFO: The user is now "e2e-test-default-ik11t1lb-qh5km-user"
Feb 11 15:14:12.318: INFO: Creating project "e2e-test-default-ik11t1lb-qh5km"
Feb 11 15:14:12.656: INFO: Waiting on permissions in project "e2e-test-default-ik11t1lb-qh5km" ...
Feb 11 15:14:12.821: INFO: Waiting for ServiceAccount "default" to be provisioned...
Feb 11 15:14:13.082: INFO: Waiting for ServiceAccount "deployer" to be provisioned...
Feb 11 15:14:13.342: INFO: Waiting for ServiceAccount "builder" to be provisioned...
Feb 11 15:14:13.662: INFO: Waiting for RoleBinding "system:image-pullers" to be provisioned...
Feb 11 15:14:13.985: INFO: Waiting for RoleBinding "system:image-builders" to be provisioned...
Feb 11 15:14:14.300: INFO: Waiting for RoleBinding "system:deployers" to be provisioned...
Feb 11 15:14:14.609: INFO: Project "e2e-test-default-ik11t1lb-qh5km" has been fully provisioned.
[It] Medium-24771-OLM should support for user defined ServiceAccount for OperatorGroup [Suite:openshift/conformance/parallel]
  /home/bandrade/go/src/github.com/openshift/openshift-tests-private/test/extended/operators/olm.go:699
Feb 11 15:14:15.622: INFO: configPath is now "/tmp/configfile210564305"
Feb 11 15:14:15.622: INFO: The user is now "e2e-test-default-ik11t1lb-x8zm2-user"
Feb 11 15:14:15.622: INFO: Creating project "e2e-test-default-ik11t1lb-x8zm2"
Feb 11 15:14:15.917: INFO: Waiting on permissions in project "e2e-test-default-ik11t1lb-x8zm2" ...
Feb 11 15:14:16.075: INFO: Waiting for ServiceAccount "default" to be provisioned...
Feb 11 15:14:16.335: INFO: Waiting for ServiceAccount "deployer" to be provisioned...
Feb 11 15:14:16.592: INFO: Waiting for ServiceAccount "builder" to be provisioned...
Feb 11 15:14:16.853: INFO: Waiting for RoleBinding "system:image-pullers" to be provisioned...
Feb 11 15:14:17.177: INFO: Waiting for RoleBinding "system:image-builders" to be provisioned...
Feb 11 15:14:17.494: INFO: Waiting for RoleBinding "system:deployers" to be provisioned...
Feb 11 15:14:17.808: INFO: Project "e2e-test-default-ik11t1lb-x8zm2" has been fully provisioned.
STEP: 1) Create the namespace
Feb 11 15:14:18.542: INFO: project: e2e-test-default-ik11t1lb-x8zm2 already exist!
STEP: 2) Create the OperatorGroup
Feb 11 15:14:19.182: INFO: No operatorgroup in project: e2e-test-default-ik11t1lb-x8zm2, create one: test-og-24771
Feb 11 15:14:22.811: INFO: the file of resource is /tmp/e2e-test-default-ik11t1lb-x8zm2-qyys8ldiolm-config.json
operatorgroup.operators.coreos.com/test-og-24771 created
STEP: 3) Create the service account
STEP: 4) Create a Subscription
Feb 11 15:14:29.203: INFO: the file of resource is /tmp/e2e-test-default-ik11t1lb-x8zm2-008ah90golm-config.json
subscription.operators.coreos.com/etcd created
STEP: 5) The install plan is Failed
Feb 11 15:14:34.114: INFO: the result of queried resource:install-d8wsx
Feb 11 15:14:37.926: INFO: ---> we do expect value: Failed, in returned value: Failed
Feb 11 15:14:37.927: INFO: the output Failed matches one of the content Failed, expected
STEP: 6) Grant the proper permissions to the service account
STEP: 7) Recreate the Subscription
Feb 11 15:14:43.590: INFO: Error running /usr/local/bin/oc --kubeconfig=/home/bandrade/QE/test_execution/kubeconfig.82 get sub etcd -n e2e-test-default-ik11t1lb-x8zm2:
Error from server (NotFound): subscriptions.operators.coreos.com "etcd" not found
Feb 11 15:14:43.590: INFO: the resource is delete successfully
Feb 11 15:14:47.217: INFO: the file of resource is /tmp/e2e-test-default-ik11t1lb-x8zm2-3chbn23iolm-config.json
subscription.operators.coreos.com/etcd created
STEP: 8) Checking the state of CSV
Feb 11 15:14:52.381: INFO: ---> we do expect value: Succeeded, in returned value: InstallReady
Feb 11 15:14:52.381: INFO: ---> Not as expected! Return false
Feb 11 15:14:55.378: INFO: ---> we do expect value: Succeeded, in returned value: Installing
Feb 11 15:14:55.378: INFO: ---> Not as expected! Return false
Feb 11 15:14:58.441: INFO: ---> we do expect value: Succeeded, in returned value: Installing
Feb 11 15:14:58.441: INFO: ---> Not as expected! Return false
Feb 11 15:15:01.358: INFO: ---> we do expect value: Succeeded, in returned value: Installing
Feb 11 15:15:01.358: INFO: ---> Not as expected! Return false
Feb 11 15:15:04.402: INFO: ---> we do expect value: Succeeded, in returned value: Succeeded
Feb 11 15:15:04.402: INFO: the output Succeeded matches one of the content Succeeded, expected
[AfterEach] [sig-operators] OLM should
  /home/bandrade/go/src/github.com/openshift/openshift-tests-private/test/extended/util/client.go:102
Feb 11 15:15:04.578: INFO: Deleted {user.openshift.io/v1, Resource=users  e2e-test-default-ik11t1lb-qh5km-user}, err: <nil>
Feb 11 15:15:04.748: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthclients  e2e-client-e2e-test-default-ik11t1lb-qh5km}, err: <nil>
Feb 11 15:15:04.915: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthaccesstokens  GtXkL70oTs6NSyzNJbhFUwAAAAAAAAAA}, err: <nil>
Feb 11 15:15:05.084: INFO: Deleted {user.openshift.io/v1, Resource=users  e2e-test-default-ik11t1lb-x8zm2-user}, err: <nil>
Feb 11 15:15:05.254: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthclients  e2e-client-e2e-test-default-ik11t1lb-x8zm2}, err: <nil>
Feb 11 15:15:05.421: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthaccesstokens  hPjk5hksTCyU5XWm3_14mgAAAAAAAAAA}, err: <nil>
[AfterEach] [sig-operators] OLM should
  /home/bandrade/go/pkg/mod/github.com/openshift/kubernetes@v1.17.0-alpha.0.0.20200120180958-5945c3b07163/test/e2e/framework/framework.go:155
Feb 11 15:15:05.421: INFO: Waiting up to 7m0s for all (but 100) nodes to be ready
STEP: Destroying namespace "e2e-test-default-ik11t1lb-qh5km" for this suite.
STEP: Destroying namespace "e2e-test-default-ik11t1lb-x8zm2" for this suite.
Feb 11 15:15:06.253: INFO: Running AfterSuite actions on all nodes
Feb 11 15:15:06.256: INFO: Running AfterSuite actions on node 1

passed: (1m1s) 2021-02-11T18:15:06 "[sig-operators] OLM should Medium-24771-OLM should support for user defined ServiceAccount for OperatorGroup [Suite:openshift/conformance/parallel]"


Timeline:

Feb 11 18:15:01.089 W endpoints/etcd-restore-operator Failed to create endpoint for service e2e-test-default-ik11t1lb-x8zm2/etcd-restore-operator: endpoints "etcd-restore-operator" already exists
Feb 11 18:15:05.155 I ns/openshift-config-operator deployment/openshift-config-operator openshift-config-managed/kube-cloud-config ConfigMap was deleted as no longer required (214 times)

1 pass, 0 skip (1m1s)

Comment 6 errata-xmlrpc 2021-03-03 04:40:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.5.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0428


Note You need to log in before you can comment on or make changes to this bug.